node default {
        # Be sure that Yumrepo rules are always	done before Package and
	# Package before Service and Augeas. Filter out epel repository
	# as that is brought in itself by a RPM, so a cycle would happen
	Yumrepo <| name != 'epel' |> -> Package <| provider != 'rpm' |>
	Package <| |> -> Service <| |>

	if $fast_yum_install == 'YES' {
		notice('Fast YUM install enabled')

		Yumrepo <| |> -> Exec["install_minimal"]
		Exec["install_minimal"] -> Package <| |>

		if $elt_role != 'minimal' and $elt_role != 'MINIMAL' {
			Yumrepo <| |> -> Exec["cmdline_yum"]
			Exec["cmdline_yum"] -> Package <| |>
			Exec["install_minimal"] ->Exec["cmdline_yum"]
		}
	}

        if $elt_role == 'minimal' or $elt_role == 'MINIMAL' {
                notice('Installing/checking MINIMAL station')
                include eltminimal
        } else {
                notice('Installing/checking ELTDEV station')
                include eltdev
        }

        if $elt_realtime == 'yes' or $elt_realtime == 'YES' {
                notice('Adding REALTIME extensions')
                include eltdevrt
        }
}
