class eltdev::sysrpms {

# This RPM list can be generated automatically on a finaly system with:
# ( echo "\$myrpmlist = [ "; rpm -qa | sort | sed 's/^/\t\"/;s/$/\",/' ; echo "]" )

# Warning: wget has to be versionless as this is downloaded prior and the version may change
# 
# Remove:
#  puppet-elt
#  gpg-pubkey

$myrpmlist = [
	"abrt-2.10.9-11.el8.x86_64",
	"abrt-addon-ccpp-2.10.9-11.el8.x86_64",
	"abrt-addon-coredump-helper-2.10.9-11.el8.x86_64",
	"abrt-addon-kerneloops-2.10.9-11.el8.x86_64",
	"abrt-addon-pstoreoops-2.10.9-11.el8.x86_64",
	"abrt-addon-vmcore-2.10.9-11.el8.x86_64",
	"abrt-addon-xorg-2.10.9-11.el8.x86_64",
	"abrt-cli-2.10.9-11.el8.x86_64",
	"abrt-console-notification-2.10.9-11.el8.x86_64",
	"abrt-dbus-2.10.9-11.el8.x86_64",
	"abrt-desktop-2.10.9-11.el8.x86_64",
	"abrt-gui-2.10.9-11.el8.x86_64",
	"abrt-gui-libs-2.10.9-11.el8.x86_64",
	"abrt-java-connector-1.1.0-16.el8.x86_64",
	"abrt-libs-2.10.9-11.el8.x86_64",
	"abrt-tui-2.10.9-11.el8.x86_64",
	"alien-8.95-3.noarch",
	"alsa-utils-1.2.1-2.el8.x86_64",
	"attr-2.4.48-3.el8.x86_64",
	"autofs-5.1.4-40.el8.x86_64",
	"aws-c-cal-0.4.5-1.el8.x86_64",
	"aws-c-cal-devel-0.4.5-1.el8.x86_64",
	"aws-c-common-0.4.59-1.el8.x86_64",
	"aws-c-common-devel-0.4.59-1.el8.x86_64",
	"aws-c-event-stream-0.2.5-5.el8.x86_64",
	"aws-c-event-stream-devel-0.2.5-5.el8.x86_64",
	"aws-checksums-0.1.10-1.el8.x86_64",
	"aws-checksums-devel-0.1.10-1.el8.x86_64",
	"aws-c-io-0.7.0-2.el8.x86_64",
	"aws-c-io-devel-0.7.0-2.el8.x86_64",
	"aws-lambda-cpp-0.2.7-1.el8.x86_64",
	"aws-lambda-cpp-devel-0.2.7-1.el8.x86_64",
	"aws-sdk-cpp-1.8.146-2.el8.x86_64",
	"aws-sdk-cpp-devel-1.8.146-2.el8.x86_64",
	"bash-completion-2.7-5.el8.noarch",
	"bc-1.07.1-5.el8.x86_64",
	"bind-utils-9.11.13-5.el8_2.x86_64",
	"bzip2-1.0.6-26.el8.x86_64",
	"cifs-utils-6.8-3.el8.x86_64",
	"cppcheck-2.3-2.el8.x86_64",
	"ctags-5.8-22.el8.x86_64",
	"device-mapper-multipath-0.8.3-3.el8.x86_64",
	"dosfstools-4.1-6.el8.x86_64",
	"drpm-0.4.1-1.el8.x86_64",
	"emacs-26.1-5.el8.x86_64",
	"emacs-common-26.1-5.el8.x86_64",
	"emacs-nox-26.1-5.el8.x86_64",
	"elasticsearch-6.6.2-1.noarch",
	"elt-ciisrv-config-gui-1.1.0-1.el8.x86_64",
	"elt-ciisrv-config-tools-1.1.0-1.el8.noarch",
	"elt-ciisrv-oldb-gui-1.1.0-1.el8.x86_64",
	"elt-ciisrv-srv-config-1.1.0-1.el8.noarch",
	"elt-ciisrv-srv-oldb-1.1.0-1.el8.noarch",
	"elt-msgsend-0.1.0-1.el8.noarch",
	"elt-eso-nixpkgs-0.4.0-1.el8.noarch",
	"eog-3.28.4-1.el8.x86_64",
	"evince-3.28.4-4.el8.x86_64",
	"filebeat-6.8.3-1.x86_64",
	"firefox-68.11.0-1.el8_2.x86_64",
	"fitsverify-4.20-1.el8.x86_64",
	"fuse-2.9.7-12.el8.x86_64",
	"fuse3-libs-3.2.1-12.el8.x86_64",
	"fuse-common-3.2.1-12.el8.x86_64",
	"fuse-overlayfs-0.7.2-5.module_el8.2.0+305+5e198a41.x86_64",
	"gcc-toolset-9-annobin-9.08-4.el8.x86_64",
	"gcc-toolset-9-dyninst-10.1.0-1.el8.x86_64",
	"gcc-toolset-9-elfutils-0.176-5.el8.x86_64",
	"gcc-toolset-9-gcc-gdb-plugin-9.2.1-2.3.el8.x86_64",
	"gcc-toolset-9-gdb-8.3-1.el8.x86_64",
	"gcc-toolset-9-gdb-doc-8.3-1.el8.noarch",
	"gcc-toolset-9-gdb-gdbserver-8.3-1.el8.x86_64",
	"gcc-toolset-9-libasan-devel-9.2.1-2.3.el8.x86_64",
	"gcc-toolset-9-liblsan-devel-9.2.1-2.3.el8.x86_64",
	"gcc-toolset-9-libstdc++-docs-9.2.1-2.3.el8.x86_64",
	"gcc-toolset-9-libtsan-devel-9.2.1-2.3.el8.x86_64",
	"gcc-toolset-9-libubsan-devel-9.2.1-2.3.el8.x86_64",
	"gcc-toolset-9-ltrace-0.7.91-1.el8.x86_64",
	"gcc-toolset-9-perftools-9.0-4.el8.x86_64",
	"gcc-toolset-9-strace-5.1-6.el8.x86_64",
	"gcc-toolset-9-systemtap-4.1-4.el8.x86_64",
	"gcc-toolset-9-systemtap-client-4.1-4.el8.x86_64",
	"gcc-toolset-9-systemtap-devel-4.1-4.el8.x86_64",
	"gcc-toolset-9-systemtap-runtime-4.1-4.el8.x86_64",
	"gcc-toolset-9-valgrind-3.15.0-9.el8.x86_64",
	"geany-1.36-3.el8.x86_64",
	"gitg-3.26.0-1.el7.x86_64",
	"gitg-libs-3.26.0-1.el7.x86_64",
	"git-gui-2.18.4-2.el8_2.noarch",
	"git-svn-2.18.4-2.el8_2.x86_64",
	"gitk-2.18.4-2.el8_2.noarch",
	"htop-2.2.0-6.el8.x86_64",
	"ImageMagick-6.9.10.86-1.el8.x86_64",
	"iperf3-3.5-3.el8.x86_64",
	"iproute-tc-5.3.0-1.el8.x86_64",
	"kernel-debug-devel-4.18.0-227.el8.x86_64",
	"kernel-devel-4.18.0-227.el8.x86_64",
	"kernel-headers-4.18.0-227.el8.x86_64",
	"kibana-6.6.2-1.x86_64",
	"libasan-9.2.1-1.el8.x86_64",
	"liblsan-9.2.1-1.el8.x86_64",
	"libtsan-9.2.1-1.el8.x86_64",
	"libubsan-9.2.1-1.el8.x86_64",
	"libpciaccess-devel-0.14-1.el8.x86_64",
	"libz3-4.8.9-4.x86_64",
	"libXScrnSaver-1.2.3-1.el8.x86_64",
	"lightdm-1.30.0-6.el8.x86_64",
	"lightdm-gtk-2.0.7-1.fc31.x86_64",
	"logrotate-3.14.0-3.el8.x86_64",
	"logstash-6.8.3-1.noarch",
	"lsof-4.91-2.el8.x86_64",
	"man-pages-4.15-6.el8.x86_64",
	"mc-4.8.19-9.el8.x86_64",
	"mcelog-3:165-0.el8.x86_64",
	"mcli-20210422174000.0.0",
	"meld-3.20.2-3.el8.noarch",
	"mesa-libEGL-devel-19.3.4-2.el8.x86_64",
	"mesa-libGL-devel-19.3.4-2.el8.x86_64",
	"minio-20210422154428.0.0",
	"mlocate-0.26-20.el8.x86_64",
	"mudpi-dissector-1-3.noarch",
	"nano-2.9.8-1.el8.x86_64",
	"ncurses-devel-6.1-7.20180224.el8.x86_64",
	"net-snmp-5.8-14.el8_2.1.x86_64",
	"net-snmp-utils-5.8-14.el8_2.1.x86_64",
	"netsniff-ng-0.6.6-3.el8.x86_64",
	"network-manager-applet-1.8.22-2.el8.x86_64",
	"nfs-utils-2.3.3-31.el8.x86_64",
	"nix-2.3.4-1.x86_64",
	"nix-integration-1.1.0-1.noarch",
	"nmap-ncat-7.70-5.el8.x86_64",
	"mousepad-0.4.2-1.el8.x86_64",
	"omping-0.0.4-14.el8.x86_64",
	"open-vm-tools-desktop-11.0.5-3.el8.x86_64",
	"opt-checkstyle-7.1.1-1.noarch",
	"opt-cli-1.1.1-2.noarch",
	"opt-cloc-1.86-1.noarch",
	"opt-consul-1.6.10-5.el8.x86_64",
	"opt-cpplint-1.4.5-1.noarch",
	"opt-eclipse-4.16-2.x86_64",
	"opt-gnuplot-5.2.8-0.x86_64",
	"opt-jacoco-0.8.5-1.noarch",
	"opt-libbacktrace-201106-1.x86_64",
	"opt-llvm-10.0.1-2.el8.x86_64",
	"opt-nixpkgs-20.09_1798_g721312288f7-1.el8.noarch",
	"opt-nomad-0.10.9-6.el8.x86_64",
	"patch-2.7.6-11.el8.x86_64",
	"psmisc-23.1-4.el8.x86_64",
	"pulseaudio-11.1-23.el8.x86_64",
	"pulseaudio-libs-glib2-11.1-23.el8.x86_64",
	"quota-4.04-10.el8.x86_64",
	"rpm-build-4.14.2-37.el8.x86_64",
	"rtms-dissector-1-3.noarch",
	"s2n-0.10.21-2.el8.x86_64",
	"s2n-devel-0.10.21-2.el8.x86_64",
	"samba-client-4.11.2-13.el8.x86_64",
	"screen-4.6.2-10.el8.x86_64",
	"subversion-1.10.2-1.module_el8.0.0+45+75bba4f4.x86_64",
	"sysstat-11.7.3-2.el8.x86_64",
	"tcpdump-4.9.2-6.el8.x86_64",
	"telnet-0.17-73.el8_1.1.x86_64",
	"tigervnc-1.9.0-15.el8_1.x86_64",
	"tigervnc-server-1.9.0-15.el8_1.x86_64",
	"tigervnc-server-minimal-1.9.0-15.el8_1.x86_64",
	"time-1.9-3.el8.x86_64",
	"tmux-2.7-1.el8.x86_64",
	"traceroute-2.1.0-6.el8.x86_64",
	"tree-1.7.0-15.el8.x86_64",
	"usbutils-010-3.el8.x86_64",
	"vim-common-8.0.1763-13.el8.x86_64",
	"vim-enhanced-8.0.1763-13.el8.x86_64",
	"vim-filesystem-8.0.1763-13.el8.noarch",
	"vlt-ds9-7.2-2.x86_64",
	"wireshark-3.2.5-2.x86_64",
	"wireshark-qt-3.2.5-2.x86_64",
	"xfce4-about-4.14.1-3.el8.x86_64",
	"xfce4-appfinder-4.14.0-1.el8.x86_64",
	"xfce4-notifyd-0.6.1-1.el8.x86_64",
	"xfce4-panel-4.14.4-1.el8.x86_64",
	"xfce4-pulseaudio-plugin-0.4.3-1.el8.x86_64",
	"xfce4-screenshooter-1.9.7-1.el8.x86_64",
	"xfce4-session-4.14.2-1.el8.x86_64",
	"xfce4-settings-4.14.3-1.el8.x86_64",
	"xfce4-taskmanager-1.2.3-1.el8.x86_64",
	"xfce4-terminal-0.8.9.2-1.el8.x86_64",
	"xfce4-whiskermenu-plugin-2.4.4-1.el8.x86_64",
	"xfce-polkit-0.3-3.el8.x86_64",
	"xfdesktop-4.14.1-3.el8.x86_64",
	"xfwm4-4.14.2-1.el8.x86_64",
	"xorg-x11-server-Xorg",
	"xorg-x11-server-Xvfb-1.20.6-3.el8.x86_64",
	"xorg-x11-xauth-1.0.9-12.el8.x86_64",
	"ypbind-2.5-2.el8.x86_64",
	"yp-tools-4.2.3-1.el8.x86_64",
	"zmtp-dissector-1-3.noarch",
]

	if $fast_yum_install == 'YES' {
		# Puppet is extremely slow on single RPM, this is a shortcut just for first installation
		$pkglist = join($myrpmlist,' ')
		exec { "cmdline_yum":
			command => "/usr/bin/yum -y install ${pkglist}",
			timeout => 0,
			require => Augeas["selinux"],
		}

		# This is needed explicitly as there is a dependency from some other puppet rule (ie. RT)
		package { "linuxptp-2.0-4.el8.x86_64":
			ensure => "installed",
			require => Exec["cmdline_yum"],
		}
		package { "xorg-x11-server-Xvfb-1.20.6-3.el8.x86_64":
			ensure => "installed",
			require => Exec["cmdline_yum"],
		}
	} else {
		package { $myrpmlist:
			ensure => "installed",
		}
	}
}
